import requestOld from "@/utils/requestOld"

//  获取不动产信息表列表
export async function handleGetREALESTATEList(params: any) {
    const data = await requestOld(`/Invoice/GetREALESTATEList`, {
        method: 'POST',
        data: params
    })

    if (data.Result_Code !== 100) {
        return data
    }

    return data.Result_Data.List
}


//  同步不动产信息表
export async function handleSynchroREALESTATE(params: any) {
    const data = await requestOld(`/Invoice/SynchroREALESTATE`, {
        method: 'POST',
        data: params
    })

    if (data.Result_Code !== 100) {
        return data
    }

    return data
}

//  删除不动产信息
export async function handleDeleteREALESTATE(params: any) {
    const data = await requestOld(`/Invoice/DeleteREALESTATE`, {
        method: 'POST',
        data: params
    })

    if (data.Result_Code !== 100) {
        return data
    }

    return data
}